#### PyKDE - Python Bindings for KDE

# class TDEZoneAllocator |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | TDEZoneAllocator
Inherits |

### methods

- TDEZoneAllocator (_blockSize = 131072)

  returns a TDEZoneAllocator instance
  Argument | Type | Default
  --- | --- | ---
  _blockSize | long | 131072

- addBlock (b)

  Not Implemented

- allocate (_size)

  returns (void)
  Argument | Type | Default
  --- | --- | ---
  _size | size_t |

- deallocate (ptr)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  ptr | void |

- delBlock (b)

  Not Implemented

- free_since (ptr)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  ptr | void |

- initHash ()

  returns nothing

- insertHash (b)

  Not Implemented